* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --title-color: #283A5C;
    --secondary-color: #737373;
    --color-card: #111827;
}

body {
    background: #F9FAFB;
}

p {
    color: var(--secondary-color);
}

h2, a{
    color: var(--color-card);
}

a{
    text-decoration: none;
}



#content {
    max-width: 1200px;
    margin: 3em auto;
    padding: 0 10px;

    .text-container {
        text-align: center;

        h1 {
            font-family: "Poppins", sans-serif;
            color: var(--title-color);
            font-size: clamp(2em, 3vw, 3.5em);
            line-height: 1.2;
            margin-bottom: 10px;
        }

        p{
            font-family: "PT Sans", sans-serif;
            font-size: 1em;
        }
    }

    .cardapios{
        margin: 3em 0;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 2em;
        max-width: 100%;
        flex-wrap: wrap;

        .card{
            width: 340px;
            background: #FFFFFF;
            border: 1px solid rgba(17, 24, 39, 0.2);
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            border-radius: 20px;
            overflow: hidden;
            font-family: "Inter", sans-serif;
            box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
            transition: transform 0.4s ease, box-shadow 0.4s ease;
    
            .img-cardapio{
                img{
                    width: 100%;
                    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
                }
            }

            .modern{
                position: relative;

                .stamp{
                    position: absolute;
                    top: 10px;
                    left: 10px;
                    background: #F79F04;
                    color: #FFFFFF;
                    font-weight: 600;
                    padding: 8px 12px;
                    border-radius: 8px;
                    font-family: "Inter", sans-serif;
                    font-size: 0.9em;
                    text-align: center;
                }
            }
    
            .text-content{
                padding: 30px 20px;
                text-align: center;

                h2{
                    font-size: 1.4em;
                }
                
                p{
                    margin: 1.2em 0;
                    font-size: 0.9em;
                    line-height: 1.4;
                }
    
                .btn-viewCardapio{
                    background: var(--color-card);
                    padding: 10px;
                    border-radius: 10px;
                    width: 100%;
    
                    a{
                        color: #FFFFFF;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        gap: 10px;
                        font-weight: 600;
                    }

                    svg{
                        transition: transform 0.2s ease;
                    }
                    
                    a:hover svg{
                        transform: translateX(5px);
                    }
    
                }
            }
        }
        .card:hover{
            transform: translateY(-10px);
            box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
        }
    }


}

footer{
    font-family: "PT Sans", sans-serif;
    margin: 2em auto;
    text-align: center;
}